<?
/**
 * Here are some examples for using IceWarp COM API with IceWarp webserver
 *  PHP engine
 *  
 * for more info and object function list reffer to merak\api\classes.txt
 * for the list of API variables reffer to merak\api\delphi\apiconst.pas
 * 
 * 
 *    
 */   

echo "Start API example<br /><br />";

//
// Invoke Global API COM object - "IceWarpServer.APIObject"
//
if($base = icewarp_apiobjectcall(0, '', 'IceWarpServer.APIObject'))
{
	echo "IceWarpServer.APIObject invoked<br /><br />";
}
else
{
	echo "API couldn't be invoked";
	return;
}

//
// Global API - "IceWarpServer.APIObject" usage
//
$domcount =icewarp_apiobjectcall( $base, 'GetDomainCount');
echo "Domain count: $domcount<br />\r\n";

$domlist = icewarp_apiobjectcall( $base, 'GetDomainList');
echo "Domain list: $domlist<br />\r\n";

$domainname = icewarp_apiobjectcall( $base, 'GetDomain', 0);
echo "First domain: $domainname<br />\r\n";
echo "<br />\r\n";

//
// Domain work - "IceWarpServer.DomainObject" usage
//
$dbase = icewarp_apiobjectcall(0, '', 'IceWarpServer.DomainObject');
icewarp_apiobjectcall( $dbase, 'Open', $domainname );

$domname = icewarp_apiobjectcall($dbase,'Name');
echo "Loaded domain: $domname<br />\r\n";

$accnum = icewarp_apiobjectcall($dbase,'GetAccountCount');
echo "Account count: $accnum<br />\r\n";

$acclist = icewarp_apiobjectcall($dbase,'GetAccountList');
echo "Account list: $acclist<br />\r\n";

$acc = icewarp_apiobjectcall($dbase,'GetAccount',0);
echo "First account: $acc<br />\r\n";
echo "<br />\r\n";

//
// Account work - "IceWarpServer.AccountObject" usage
//

$abase = icewarp_apiobjectcall(0, '', 'IceWarpServer.AccountObject');
icewarp_apiobjectcall( $abase, 'Open', $acc );

echo "Loaded account: $acc<br />\r\n";

// get account name and aliases using API variables
$accname = icewarp_apiobjectcall( $abase, 'GetProperty', 'U_Name' );
$accalias = icewarp_apiobjectcall( $abase, 'GetProperty', 'U_Alias' );
echo "Account: name \"$accname\", alias \"$accalias\"<br />\r\n";

$accdom = icewarp_apiobjectcall( $abase, 'Domain' );
echo "Account's domain: $accdom<br />\r\n";
echo "<br />\r\n";

icewarp_apiobjectcall($abase);
icewarp_apiobjectcall($dbase);
icewarp_apiobjectcall($base);

?>
